package com.ssj.service.weixin.library.dto.in;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/**
 *
 * 类说明 
 */
public class RankingHisInDto extends BaseRequest{

	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	@ApiModelProperty(name="libId",value="馆id",required=true)
	@NotNull
	private String libId;

	@ApiModelProperty(name="pageSize",value="一页多少条",required=true)
	private int pageSize=10;

	@ApiModelProperty(name="pageNo",value="第几页",required=true)
	private int pageNo=1;

	@ApiModelProperty(name="searchDate",value="查询月份",required=false)
	private String searchDate;

	public String getLibId() {
		return libId;
	}

	public void setLibId(String libId) {
		this.libId = libId;
	}

	public int getPageSize() {
		return pageSize;
	}

	public void setPageSize(int pageSize) {
		this.pageSize = pageSize;
	}

	public int getPageNo() {
		return pageNo;
	}

	public void setPageNo(int pageNo) {
		this.pageNo = pageNo;
	}

	public String getSearchDate() {
		return searchDate;
	}

	public void setSearchDate(String searchDate) {
		this.searchDate = searchDate;
	}
}
